FROM docker.io/prologic/zs AS build
COPY . .
RUN zs build --production

FROM docker.io/ruby:alpine AS deploy
RUN gem install neocities
COPY --from=build /data/.pub /pub

FROM docker.io/caddy/caddy:2.8-alpine
COPY --from=build /data /srv
